<?php
//************************************************************************
//
//  lib.php
//
//  Written by:    Swanback
//  Date:          Nov 14, 2002
//  Environment:   PHP, mySQL
//	Change Log:
//
//  Function library.
//
//  Control Flow:
//  None.
//************************************************************************
function getDateParms($from='', $to='', $fieldName='') 
{
	$p='';
	if ($fieldName !=  '')
	{
		if (($from != '') && ($from != 'From Date')) {
			$fd=explode('/',$from);
			$d=$fd[2].'/'.$fd[0].'/'.$fd[1];
			$p=" and $fieldName >= '$d 00:00:00'";
		}
		if (($to != '') && ($to != 'To Date')) {
			$fd=explode('/',$to);
			$d=$fd[2].'/'.$fd[0].'/'.$fd[1];
			$p.=" and $fieldName <= '$d 23:59:59' ";
		}
		elseif ((($to =='To Date') || ($to == '')) && ($from != '')) $p .=" and $fieldName <= now() ";
	}
	return $p;
}

function getInstrTitle($from, $to, $t) {
		if (($from != '') && ($from != 'From Date')) {
			$t.=" $from";
		}
		else $t.=" 1/1/0001";
		if (($to != '') && ($to != 'To Date')) {
			$t.=" to $to ";
		}
		elseif ((($to =='To Date') || ($to == '')) && ($from != '')) $t .=" to ".date("n/j/Y");
	return $t;
}

function printHelp($tName,$fName) {
	global $PWIDTH,$PHEIGHT,$POFFSETX,$POFFSETY,$BASEHREF;
	$sql="select description,longDescription from fieldHelp where recordName='$tName' and fieldname='$fName' ";
	$result = mysql_query($sql);
	if ($result)
	{
			while ($row = mysql_fetch_row($result))
			{
					
						$x= "<a href=\"javascript:OpenWindow('$BASEHREF/showHelp.php?rn=$tName&fn=$fName',$PWIDTH,$PHEIGHT,$POFFSETX,$POFFSETY);\" title=\"$row[0]\">";
			}
	}
	else db_error($sql);
	return $x;
}

function db_error($sql=NULL)
{
	// Description:
	//		This function prints out the mySQL error message if a database
	//		operation fails.
	// Parameters:
	//		1) You may pass the SQL command you were trying to execute
	//		to this function.  If you do, it will be displayed with the
	//		error message, which can be very helpful, since mySQL only
	//		shows the fragment it is complaining about, which may not be
	//		the part causing the problem.
	// Return Values:
	//		None.  Function prints error message directly to screen.
	// Change Log:
	// 03/36/2003:  Added syslogging function to record error messages in
	// 				the production environment.  Changed message font to red.

	global $PHP_SELF;
	global $ENVIRONMENT;
	$error=mysql_error();
	print "<font color=red>Error in statement: $sql<br>\n$error<br></font>\n";
	if ($ENVIRONMENT == "PRODUCTION")
	{
    	$message="EPUBS in $ENVIRONMENT in $PHP_SELF:  $error";
    	$rc= syslog (1, $message);
    }
}

/*
    Function Name: date_validate

    Author: Eric Sammons, Vansam Software, Inc. (www.vansam.com)
    Email: eric@vansam.com

    Date: 2001-09-01
    Version 1.0.0

    Purpose:
        Receives various date field formats, validates them, and then and
        converts them to MySQL standard date format

    Valid date fields:
        mm-dd-yyyy, mm/dd/yyyy, yyyy-mm-dd, yyyy/mm/dd

    Returns:
        if valid input, the date in MySQL standard format
        if invalid input, error message with "Error:" at the beginning of message

    Sample Use:
        $MySQLDate=date_validate($datefield);
        if (substr($MySQLDate, 0, 5)=="Error") {
            // Insert Error Code
        } else {
            // Insert Valid Date Code
        }
*/

function date_validate ($datefield) {

    // First check to see if the input ($datefield) is in one of the accepted formats

    // Check for delimiters ("-" or "/") and put three fields into an array
    if (strpos($datefield, "-")) {
      $datesplit = explode("-", $datefield);
    } elseif (strpos($datefield, "/")) {
      $datesplit = explode("/", $datefield);
    } else {
        $date_err="Error: Invalid date field. No proper delimiters (- or /) found";
        return $date_err;
    }

    // Check for three input fields (month, day, year)
    if (count($datesplit)>3) {
        $date_err="Error: Invalid date field. Too many fields (".count($datesplit).") found";
        return $date_err;
    }

    // Put date array into single format
    if (strlen($datesplit[2])==4) { // The year is listed last - switch fields around
        $newdatesplit[0]=$datesplit[2]; // Move Year to first field
        $newdatesplit[1]=$datesplit[0]; // Move Month to second field
        $newdatesplit[2]=$datesplit[1]; // Move Day to third field
        $datesplit=$newdatesplit;
    } elseif (strlen($datesplit[0])==4) { // The year is first listed - do nothing
        // nothing to be done
    } else { // Date entered is not valid; could not find year field
        $date_err="Error: Date not valid. No Year field found (Year must be 4 digits)";
        return $date_err;
    }

    // Main validation code

    if ($datesplit[1]>12) { // No valid month field
        $date_err="Error: Invalid Month field (".$datesplit[1].") ";
        return $date_err;
    } else {
       switch ($datesplit[1]) { // Check number of days in a month
           case 4:
           case 6:
           case 9:
           case 11:
                if ($datesplit[2]>30) {
                    $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                    return $date_err;
                }
                break;
           case 2: // February Check
                   if (($datesplit[0]/4)==(floor($datesplit[0]/4))) {
                    if (($datesplit[0]/100)==(floor($datesplit[0]/100))) {
                        if (($datesplit[0]==1600) or ($datesplit[0]==2000) or ($datesplit[0]==2400)) {
                            if ($datesplit[2]>29) {
                                $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                                return $date_err;
                            }
                        } else {
                            if ($datesplit[2]>28) {
                                $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                                return $date_err;
                            }
                        }
                    } else {
                        if ($datesplit[2]>29) {
                            $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                            return $date_err;
                        }
                    }
                } else {
                    if ($datesplit[2]>28) {
                        $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                        return $date_err;
                    }
                }
                break;
           default:
                if ($datesplit[2]>31) {
                    $date_err="Error: Invalid # of days (".$datesplit[2].") for month ".$datesplit[1]." and year ".$datesplit[0];
                    return $date_err;
                }
        }
      }
          // Add leading zero if month or day field is only one character
      if (strlen($datesplit[1])==1) {
          $datesplit[1]="0".$datesplit[1];
      }
      if (strlen($datesplit[2])==1) {
          $datesplit[2]="0".$datesplit[2];
      }

      // Create date field in MySQL format
      $newdate=$datesplit[0]."-".$datesplit[1]."-".$datesplit[2];
      return $newdate;

} // End date_validate function


function logicalDateOrder($dateFirst,$dateSecond,$includeEquality)
{
	// Description:
	//		Checks to see if the first date truly precedes the second date.  This is 
	//      a date validation routine.
	// Parameters:
	//		1) Date that should logically be first
	//      2) Date that should logically be after the first one
	//      3) Indicator for whether the dates can be the same to return a valid result
	//			1=Yes, 0=No
	// Return Values:
	//		Returns 1 if the dates are in logical order, 0 if not.  NULL is returned if
	//      the submitted dates are not valid dates to begin with.
	// Change Log:

	// Set return indicator to false as default.
	$indicator=0;
	
	// Check the dates to ensure they are valid date types
	$dateFirst=date_validate("$dateFirst");
	if (substr($dateFirst, 0, 5)=="Error")
	{
		$error=1;
	}
	$dateSecond=date_validate("$dateSecond");
	if (substr($dateSecond, 0, 5)=="Error")
	{
		$error=1;
	}

	if ($error) return NULL;
	else 
	{
		$sql="select to_days('$dateFirst') as firstDays, to_days('$dateSecond') as secondDays ";
		$result = mysql_query($sql);
		if ($result) {
			while ($row = mysql_fetch_row($result)){
				// this for loop creates variables from the column names in the row,
				// and sets them equal to the value of the column for this row.  This way you can read the
				// code below with nicely named variables like $author, instead of $row[0..n].
				for ($i=0;$i<mysql_num_fields($result);$i++) {
					eval("\$".mysql_field_name($result,$i)."= \$row[\$i];");
				}
				
				// Valid date relationships
				if ($firstDays < $secondDays) $indicator=1;
				if ($includeEquality) 
				{
					if ($firstDays <= $secondDays) $indicator=1;
				}
			}
		}
		else {
			db_error($sql);
		}
		return $indicator;
	}
}


function logicalTimeOrder($timeFirst,$timeSecond,$includeEquality)
{
	// Description:
	//		Checks to see if the first time truly precedes the second time.  This is 
	//      a time sequence validation routine.  It assumes valid times are provided.
	// Parameters:
	//		1) time that should logically be first
	//      2) time that should logically be after the first one
	//      3) Indicator for whether the times can be the same to return a valid result
	//			1=Yes, 0=No
	// Return Values:
	//		Returns 1 if the times are in logical order, 0 if not.  NULL is returned if
	//      the submitted times are not valid times to begin with.
	// Change Log:

	// Set return indicator to false as default.
	$indicator=0;
	$sql="select time_to_sec('$timeFirst') as firstTime, time_to_sec('$timeSecond') as secondTime ";
	$result = mysql_query($sql);
	if ($result) 
	{
		while ($row = mysql_fetch_row($result))
		{
			// this for loop creates variables from the column names in the row,
			// and sets them equal to the value of the column for this row.  This way you can read the
			// code below with nicely named variables like $author, instead of $row[0..n].
			for ($i=0;$i<mysql_num_fields($result);$i++) 
			{
				eval("\$".mysql_field_name($result,$i)."= \$row[\$i];");
			}
			
			// Valid time relationships
			if ($firstTime < $secondTime) $indicator=1;
			if ($includeEquality) 
			{
				if ($firstTime <= $secondTime) $indicator=1;
			}
		}
	}
	else 
	{
		db_error($sql);
	}
	return $indicator;
}

function generateDateSelector($prefix="",$style="",$compYear="",$compMonth="",$compDay="",$FirstYear=1900,$FutureYears=5)
{
// month array
$monthArray = array("", "January", "February", "March", "April", "May",
"June", "July", "August", "September", "October", "November", "December");

// get current year, month and date
$arr = getdate(mktime());

if ($compYear=="" || $compYear=="0000") $currYear = $arr["year"];
else $currYear = $compYear;
if ($compMonth=="" || $compMonth=="00") $currMonth = $arr["mon"];
else $currMonth= $compMonth;
if ($compDay=="" || $compDay=="00") $currDay = $arr["mday"];
else $currDay =$compDay;


// generate month drop-down
echo "<select name=" . $prefix . "_month class=$style>\n";
for ($x=1; $x<=12; $x++)
{
$str = "<option value=" . sprintf("%02d", $x) . "";
if ($x == $currMonth)
{
$str .= " selected";
}
$str .= ">" . $monthArray[$x] . "</option>\n";
echo $str;
}
echo "</select>\n&nbsp;";

// generate day drop-down
echo "<select name=" . $prefix . "_day class=$style>\n";
for ($x=1; $x<=31; $x++)
{
$str = "<option value=" . sprintf("%02d", $x) . "";
if ($x == $currDay)
{
$str .= " selected";
}
$str .= ">" . sprintf("%02d", $x) . "</option>\n";
echo $str;
}
echo "</select>\n&nbsp;";

// generate year drop-down
echo "<select name=" . $prefix . "_year class=$style>\n";
for ($x=$FirstYear; $x<($currYear+$FutureYears); $x++)
{
$str = "<option value=$x";
if ($x == $currYear)
{
$str .= " selected";
}
$str .= ">" . sprintf("%04d", $x) . "</option>\n";
echo $str;
}
echo "</select>\n&nbsp;";
}



function generateTimeSelector($prefix="",$style="",$compHour="",$compMinute="",$compAMPM="",$offset=15)
{
if ($compMinute=="") $compMinute=-1;

// generate hour drop-down
echo "<select name=" . $prefix . "_hour class=$style>\n";
echo "<option value='0' class='usual'></option>\n";
for ($x=1; $x<=12; $x++)
{
$str = "<option value=" . sprintf("%02d", $x) . "";
if ($x == $compHour)
{
$str .= " selected";
}
$str .= ">" . sprintf("%02d", $x) . "</option>\n";
echo $str;
}
echo "</select>\n&nbsp;";

// generate minute drop-down
echo "<select name=" . $prefix . "_minute class=$style>\n";
echo "<option value='0' class='usual'></option>\n";
for ($x=0; $x<60; $x=$x+$offset)
{
$str = "<option value=" . sprintf("%02d", $x) . "";
if ($x == $compMinute)
{
$str .= " selected";
}
$str .= ">" . sprintf("%02d", $x) . "</option>\n";
echo $str;
}
echo "</select>\n&nbsp;";

// generate ampm drop-down
echo "<select name=" . $prefix . "_AMPM class=$style>\n";
if ($compAMPM=='' || $compAMPM ==0) $selAMPM="selected"; else $selAMPM="";
if ($compAMPM=='AM' || $compAMPM =='am') $selAM="selected"; else $selAM="";
if ($compAMPM=='PM' || $compAMPM =='pm') $selPM="selected"; else $selPM="";
print "<option value='0' class='usual' $selAMPM></option>\n";
print "<option value='am' class='usual' $selAM>am</option>\n";
print "<option value='pm' class='usual' $selPM>pm</option>\n";
echo "</select>\n&nbsp;";
}
?>