  <h3>DEFINITIONS:</h3>
  <P>
  ARL instructions on the <strong>Reference Transaction</strong> Question:
  </P>
  <P><strong>ARL defined Reference Transactions.</strong> Report the total number of <strong>reference transactions</strong>. A reference transaction is an information contact that involves the knowledge, use, recommendations, interpretation, or instruction in the use of one or more information sources by a member of the library staff. The term includes information and referral service. Information sources include
  <P>(a) printed and non-printed material;<br>
   (b) machine-readable databases (including computer-assisted instruction); <br>
   (c) the library's own catalogs and other holdings records; <br>
   (d) other libraries and institutions through  communication or referral; and<br>
   (e) persons both inside and outside the library. <br>
  </P>
  <P>
  When a staff member uses information gained from previous use of information
  
sources to answer a question, the transaction is reported as a reference transaction even if the sources is not consulted again.
  <P>If a contact includes both reference and directional services, it should be reported as one reference transaction. 	Duration should not be an element in determining whether a transaction is a reference transaction.
  </P>
  <P>
  1=Directional: Questions do not require a resource to answer and might be answered by a sign or help sheet. Examples: &#8220;Where is the restroom?&#8221;, &#8220;How late are you open on Friday?&#8221;, &#8220;Where are the current newspapers?&#8221;
  </P>
  <P>2=Ready Reference: Ready reference or factual requests are those with one particular answer, such as citation verification/completion, definitions, statistics, LIBROS use, &#8220;Do you have Journal of X?&#8221; or &#8220;I'm trying to reach X. Can you give me their phone number?&#8221;
  </P>
  <P>3=Technical: Software and equipment requests deal with Public PCs, scanner, printer, and/or photocopiers, audio/visual equipment. Examples: &#8220;How do I e-mail a PDF?&#8221;, &#8220;How do I print back to back copies?&#8221;
  </P>
  <P>4=Strategy: Search strategy questions are more detailed and usually include suggestions about database/resource choices and search terms in addition to instruction in using the resource. Examples: &#8220;What are the best databases for my topic?&#8221;, &#8220;I need to find articles on the Patriot Act&#8221;, &#8220;How many adoptions were there in the U.S. from 1990-2000?&#8221;
  </P>
  <P>5=Consultation: Usually longer encounters and include Library Instruction. Examples:
&#8220;I've never used this library and I need to write a paper on U.S. Fire Management. What resources do you have?&#8221;, &#8220;I want to find out information on infanticide, can you help me?&#8221;
  </P>
  <P>6=Referral: Referrals are any request where the patron is best helped by another library (e.g. CSEL), department (e.g. Financial Aid Office), agency (e.g. Social Security Office), etc. and is given appropriate contact information.
  </P>
