# CocoaMySQL dump
# Version 0.7b4
# http://cocoamysql.sourceforge.net
#
# Host: libcps.unm.edu (MySQL 4.1.22)
# Database: libraryStatistics
# Generation Time: 2008-10-09 17:24:32 -0600
# ************************************************************

# Dump of table affiliation
# ------------------------------------------------------------

CREATE TABLE `affiliation` (
  `id` int(11) NOT NULL auto_increment,
  `personId` int(11) NOT NULL default '0',
  `organizationId` int(11) NOT NULL default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=56 DEFAULT CHARSET=latin1;



# Dump of table department
# ------------------------------------------------------------

CREATE TABLE `department` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) default NULL,
  `code` varchar(255) default NULL,
  `groupTypeId` int(11) NOT NULL default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=171 DEFAULT CHARSET=latin1;



# Dump of table event
# ------------------------------------------------------------

CREATE TABLE `event` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `groupId` int(11) default NULL,
  `methodId` int(11) default NULL,
  `departmentId` int(11) default NULL,
  `startDate` datetime default NULL,
  `endDate` datetime default NULL,
  `startTime` time default NULL,
  `endTime` time default NULL,
  `groupTypeId` int(11) default NULL,
  `locationTypeId` int(11) default NULL,
  `prepTime` varchar(255) default NULL,
  `numberParticipants` int(11) default NULL,
  `notes` text,
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `locationDesc` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=177 DEFAULT CHARSET=latin1;



# Dump of table eventPerson
# ------------------------------------------------------------

CREATE TABLE `eventPerson` (
  `id` int(11) NOT NULL auto_increment,
  `eventId` int(11) default NULL,
  `personId` int(11) default NULL,
  `roleId` int(11) default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `hours` decimal(10,2) default '0.00',
  `travelHours` decimal(10,2) default '0.00',
  `prepHours` decimal(10,2) default '0.00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=226 DEFAULT CHARSET=latin1;



# Dump of table fieldHelp
# ------------------------------------------------------------

CREATE TABLE `fieldHelp` (
  `id` int(11) NOT NULL auto_increment,
  `recordName` varchar(255) NOT NULL default '''''',
  `fieldName` varchar(255) NOT NULL default '''''',
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `updateDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;

INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('1','instruction','libraryInstructorId','Click on the lookup button to select a librarian to associate with this session.','The librarian instructor is the UL-affiliated person who is the primary contact for this session.  May not necessarily be the actual class instructor in some cases.  If the actual class instructor is non-UL, enter that person\'s name in the Instructor/Professor field.','2008-11-04 09:56:05','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('2','instruction','groupId','Select the instruction type.','The group refers to the type of instruction most closely resembling the session offered.\r\n','2008-11-04 10:12:01','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('3','instruction','organizationId','Click on the lookup button to find the organization sponsor','The organization is the one who sponsored or is responsible for this instructional session being offered.','0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('4','instruction','courseNumber','Enter the UNM department and course number','Select the UNM department for which the course is being taught.  If the department is not in the list, please contact the instruction administrator.  The course number is the UNM course number if relevant.  You may leave this field blank.<P>\r\nAlternatively, click on the Lookup button next to the Course Title field, and select the course desired from the list.  It will only be in the list if the course has been previously taught at the library.  The department, course number, and course title will all be filled in from this lookup as appropriate.','2008-11-04 09:32:37','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('5','instruction','startDate','Enter the beginning date of the session',NULL,'0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('6','instruction','endDate','Enter the ending date of the session.',NULL,'0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('7','instruction','prepTime','Enter the amount of time it took to prepare for this session.',NULL,'0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('8','instruction','numberParticipants','Enter the number of registered students/participants.',NULL,'0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('9','instruction','subjectArea','Enter the subject area',NULL,'0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('11','fieldHelp','recordName','Select the record name for which you wish to enter help.','The record name is the name specified in the database for the table which stores the data being entered on the page.  For example, the instruction record holds the data for the page which allows one to enter statistics regarding instructional sessions.  So if one wanted to change the field help for a field on that page, such as prep time, one would first have to select the record named \"instruction\".','2006-02-10 19:02:59','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('12','fieldHelp','fieldName','Select the field to describe','The field name is the name of the field as defined in the database table for the item you wish to describe.  You must select the field name from the list before you can enter its associated field help.  If you are not sure of the field name you should select, please contact your friendly programmer for assistance.','0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('13','fieldHelp','description','Enter a short description for rollover text','The short description will be displayed when the one rolls over (aka mouses over) the hyperlinked field name on the page.  It will also be displayed in the pop-up window in case the rollover text cannot be read for some reason.  You have 255 characters to use for this short description.  If more is needed, put that information in the detailed description.','0000-00-00 00:00:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('14','fieldHelp','longDescription','Enter a detailed description for the pop-up window that displays when a user clicks on a field label for field help.','The detailed description is only displayed in the pop-up field help window.  Here the help you enter can be of unlimited length.  You must separate paragraphs using &lt;p&gt; tags, otherwise they will all run together.  Limited html tagging can be used for text formatting.','2008-11-04 11:03:13','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('21','affiliation','personId','test','test','2006-02-12 05:41:21','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('23','program','Envoy','','','2008-08-08 10:01:43','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('24','instruction','courseTitle','Enter the UNM course title, or click on Lookup to select it.','The course title Lookup will show a list of all previously entered course titles.  It will not display all courses available at UNM.  When you select a course, not only will the course title be populated, but also department and course number above.  ','2008-11-04 09:31:05','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('25','instruction','instructorId','Click on Lookup to select the Instructor/Professor name.  If not found, enter Last, First to add.  Only non-UL personnel should be entered here.','This is the name of the Instructor who teaches the course, if it is not a UL employee.  It can also be the name of the Professor for whom the course is taught. <P>\r\nFormat is Last Name, First Name.\r\n<P>\r\n\r\n If a UL employee is teaching the class, that person\'s name should be entered under Library Instructor field, not this field.','2008-11-04 09:54:48','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('26','instruction','startTime','Select the start and end times for the class.','','2008-11-04 09:58:37','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('27','instruction','locationTypeId','Select the most appropriate location type from the list.','','2008-11-04 10:02:00','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('28','instruction','roomTypeId','Select the most appropriate room type from the list.','','2008-11-04 10:02:43','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('29','instruction','notes','Enter subject matter of the class or other relevant data not otherwise captured.','','2008-11-04 10:03:53','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('30','instruction','individualName','Enter the individual with whom the consultation occurred.','Format is Last Name, First Name.','2008-11-04 10:10:54','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('31','reference','locationTypeId','Choose a location for this reference event.','','2008-11-04 10:34:51','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('32','reference','groupId','Categorize the question as one of the six types, further defined below in Definitions.','See <a href=\"reference/definitions.php\">Definitions</a>.\r\n','2008-11-04 15:49:09','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('33','reference','methodId','Choose the method by which the patron contacted you.','','2008-11-04 10:45:26','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('34','reference','netId','Enter your UNM netid.','','2008-11-04 10:46:24','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('35','reference','subjectId','Select the subject area most relevant to the question asked.','','2008-11-04 10:46:55','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('36','reference','locationSubjectId','Select the subject area most relevant to the question asked.','','2008-11-04 10:47:13','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('37','reference','notes','Enter any notes relevant to the encounter not already captured above.','You are most welcome to capture the exact question and answer in this field.  ','2008-11-04 10:48:12','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('38','reference','timeEntered','You may correct the date/time if it is not accurate.','Occasionally reference transactions are entered retro-actively, and if done so through the usual interface, the timestamp reflects time of data entry.<P>\r\nUse this field to change the timestamp to reflect when the reference event took place.','2008-11-04 10:50:31','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('39','event','groupId','Select the program with which this outreach acgivity most closely relates.  If there is no defined program, select Other.','','2008-11-04 11:19:23','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('40','event','title','Enter the name or descriptive title for the event or interaction.','','2008-11-04 11:08:33','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('41','event','methodId','Select the type of outreach activity.','','2008-11-04 11:09:18','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('42','event','departmentId','Select the department associated with this outreach activity, if there was one.','','2008-11-04 11:09:51','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('43','event','startDate','Select the starting and ending dates of the outreach activity.','','2008-11-04 11:10:22','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('44','event','startTime','Select the start and end times for the outreach activity.','','2008-11-04 11:10:44','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('45','event','locationTypeId','Select the appropriate location type.  Use the field to the right to specify the exact location if necessary.','','2008-11-04 11:11:27','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('46','event','numberParticipants','Enter the number of participants reached with this outreach activity.  Do not include UL personnel unless they are the target audience.','','2008-11-04 11:12:15','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('47','event','notes','Enter any notes to capture relevant information not reflected above.','','2008-11-04 11:12:48','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('48','event','libraryInstructorId','Select all library personnel involved with this outreach activity.','Specify each person\'s role and number of hours put in under the appropriate categories.\r\n<P>\r\nUse the Insert New Row button to add another line for another person.\r\n<P>\r\nUse the checkbox next to a person\'s name to indicate that they should be deleted from this activity.  Click on the Update this Record button to perform the deletion.','2008-11-04 11:18:31','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('49','event','hours','Enter the number of hours working at the outreach activity.','','2008-11-04 11:23:16','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('50','event','travelHours','Enter the total number of hours in travel time.','','2008-11-04 11:23:45','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('51','event','prepHours','Enter the total number of hours of preparation time.','','2008-11-04 11:24:09','');
INSERT INTO `fieldHelp` (`id`,`recordName`,`fieldName`,`description`,`longDescription`,`updateDate`,`updateUser`) VALUES ('52','event','roleId','Select the role most appropriate to overall work performed by this person.','','2008-11-04 11:25:02','');




# Dump of table groupDefinition
# ------------------------------------------------------------

CREATE TABLE `groupDefinition` (
  `id` int(11) NOT NULL auto_increment,
  `groupTypeId` int(11) NOT NULL default '0',
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `groupCode` varchar(255) NOT NULL default '''''',
  `updateDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  `rank` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=latin1;

INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('1','1','Non-UNM Groups','Non-UNM Groups','NONUNM','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('2','1','Course-related','Course-related','COURSE','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('3','1','Research Instruction','Research Instruction','RESEARCH','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('4','1','Subject Specialist',NULL,'SUBJECT','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('5','1','Research Tools',NULL,'RESTOOL','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('6','1','Other (UNM)',NULL,'OTHERUNM','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('7','1','Individual - Subject Specialist',NULL,'INDSUBJECT','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('8','1','Individual',NULL,'INDIVIDUAL','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('13','1','Course-related - Subject Specialist','','COURSESUB','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('27','3','INLP','Indigenous Nations Library Program','','0000-00-00 00:00:00',NULL,'1');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('28','3','CHIPOTLE','Chicano, Hispano, and Latino Library Program','','0000-00-00 00:00:00',NULL,'2');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('20','1','UL Training','UL Training','ULTRAIN','0000-00-00 00:00:00',NULL,'0');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('21','2','Directional - 1','','','0000-00-00 00:00:00',NULL,'10');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('22','2','Ready Reference - 2','','','0000-00-00 00:00:00',NULL,'20');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('23','2','Technical - 3','','','0000-00-00 00:00:00',NULL,'30');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('24','2','Strategy - 4','','','0000-00-00 00:00:00',NULL,'40');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('25','2','Consultation - 5','','','0000-00-00 00:00:00',NULL,'50');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('26','2','Referral - 6','','','0000-00-00 00:00:00',NULL,'60');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('29','3','DILARES','','','0000-00-00 00:00:00',NULL,'3');
INSERT INTO `groupDefinition` (`id`,`groupTypeId`,`description`,`longDescription`,`groupCode`,`updateDate`,`updateUser`,`rank`) VALUES ('30','3','Other','','','0000-00-00 00:00:00',NULL,'6');


# Dump of table groupType
# ------------------------------------------------------------

CREATE TABLE `groupType` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `recordType` varchar(255) NOT NULL default '''''',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

INSERT INTO `groupType` (`id`,`description`,`longDescription`,`recordType`) VALUES ('1','Instruction','This record type is meant to capture statistics relevant to the instructional events (classes) in the library.','instruction');
INSERT INTO `groupType` (`id`,`description`,`longDescription`,`recordType`) VALUES ('2','Reference','This record type is meant to capture focussed statistics on the reference activity at many service locations.  ','reference');
INSERT INTO `groupType` (`id`,`description`,`longDescription`,`recordType`) VALUES ('3','Event','Events such as Outreach, Inreach, etc','event');


# Dump of table instruction
# ------------------------------------------------------------

CREATE TABLE `instruction` (
  `id` int(11) NOT NULL auto_increment,
  `groupId` int(11) NOT NULL default '0',
  `groupTypeId` int(11) NOT NULL default '0',
  `organizationId` int(11) default NULL,
  `courseNumber` varchar(255) default NULL,
  `startDate` datetime default NULL,
  `endDate` datetime default NULL,
  `prepTime` varchar(255) default NULL,
  `numberParticipants` smallint(6) NOT NULL default '1',
  `subjectArea` varchar(255) default NULL,
  `departmentId` int(11) default NULL,
  `startTime` time default NULL,
  `endTime` time default NULL,
  `locationTypeId` int(11) default NULL,
  `roomTypeId` int(11) default NULL,
  `updateDate` datetime default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  `courseTitle` varchar(255) default NULL,
  `individualName` varchar(255) default NULL,
  `notes` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1650 DEFAULT CHARSET=latin1;



# Dump of table instructionMethod
# ------------------------------------------------------------

CREATE TABLE `instructionMethod` (
  `id` int(11) NOT NULL auto_increment,
  `instructionTypeId` int(11) NOT NULL default '0',
  `instructionId` int(11) NOT NULL default '0',
  `updateDate` datetime default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table instructionPerson
# ------------------------------------------------------------

CREATE TABLE `instructionPerson` (
  `id` int(11) NOT NULL auto_increment,
  `personId` int(11) NOT NULL default '0',
  `instructionId` int(11) NOT NULL default '0',
  `updateDate` datetime default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  `fieldIndicator` smallint(6) NOT NULL default '0',
  `organizationId` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3405 DEFAULT CHARSET=latin1;



# Dump of table locationType
# ------------------------------------------------------------

CREATE TABLE `locationType` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `groupTypeId` int(11) NOT NULL default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `rank` int(11) NOT NULL default '0',
  `specialLocation` tinyint(4) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;

INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('1','Library',NULL,'1',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('2','Classroom on Campus','','1',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('3','Off-campus','','1',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('9','FADL Reference Desk','','2',NULL,NULL,'15','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('5','Zimmerman Reference Desk','','2',NULL,NULL,'21','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('7','CSEL Reference Desk','','2',NULL,NULL,'11','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('8','CSWR - Offices/Remote location','','2',NULL,NULL,'12','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('12','Satellite','','2',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('13','EResources','','2',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('24','Circulation CSEL','','2',NULL,NULL,'10','1');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('25','Circulation FADL','','2',NULL,NULL,'20','1');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('28','Circulation PML','','2',NULL,NULL,'30','1');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('29','Circulation ZIM','','2',NULL,NULL,'40','1');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('30','In Library','','3',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('31','On Campus','','3',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('32','Off Campus','','3',NULL,NULL,'0','0');
INSERT INTO `locationType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`,`specialLocation`) VALUES ('33','Ask A Librarian','','2',NULL,NULL,'1','0');


# Dump of table method
# ------------------------------------------------------------

CREATE TABLE `method` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `groupTypeId` int(11) NOT NULL default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `rank` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;

INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('1','Active Learning',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('2','Clinic or workshop',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('3','Demonstration or lecture',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('4','Lab',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('5','Online tutorial',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('6','Reference Desk',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('7','Print-based instruction aid',NULL,'1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('8','Web-based instruction aid','Web-based tutorial or page.','1',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('9','Chat','','2',NULL,NULL,'40');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('10','Live','','2',NULL,NULL,'10');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('11','Phone','','2',NULL,NULL,'20');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('12','E-Mail','','2',NULL,NULL,'30');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('13','Other','','2',NULL,NULL,'50');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('14','Workshop','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('15','Lecture','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('16','Individual contact','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('17','Joint collaboration','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('18','Site visit','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('19','Faculty meeting','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('20','Ongoing project','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('21','Meeting','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('22','Exhibit','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('23','Conference','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('24','Symposium','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('25','Legislative Activities','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('26','Donor Relations','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('27','Collaborative Research','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('28','Program Review','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('29','Collection Building/Analysis','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('30','Recruitment Assistance','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('31','Scholarly Publishing','','3',NULL,NULL,'0');
INSERT INTO `method` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`,`rank`) VALUES ('32','Student Presentation','','3',NULL,NULL,'0');


# Dump of table organization
# ------------------------------------------------------------

CREATE TABLE `organization` (
  `id` int(11) NOT NULL auto_increment,
  `orgName` varchar(255) NOT NULL default '''''',
  `UNMorg` tinyint(4) default NULL,
  `orgType` tinyint(4) default NULL,
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `shortName` varchar(255) default NULL,
  `ULorg` tinyint(4) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=latin1;



# Dump of table organizationType
# ------------------------------------------------------------

CREATE TABLE `organizationType` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default '''''',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;



# Dump of table person
# ------------------------------------------------------------

CREATE TABLE `person` (
  `id` int(11) NOT NULL auto_increment,
  `lastName` varchar(255) NOT NULL default '''''',
  `firstName` varchar(255) NOT NULL default '''''',
  `telephone` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `note` text,
  `prefix` varchar(255) default NULL,
  `suffix` varchar(255) default NULL,
  `employeeId` varchar(255) default '0',
  `chatId1` varchar(255) default NULL,
  `personType` char(1) NOT NULL default 'N',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=710 DEFAULT CHARSET=latin1;



# Dump of table reference
# ------------------------------------------------------------

CREATE TABLE `reference` (
  `id` int(11) NOT NULL auto_increment,
  `personId` int(11) default '0',
  `notes` text,
  `groupId` int(11) default '0',
  `groupTypeId` int(11) default '0',
  `methodId` int(11) default '0',
  `locationTypeId` int(11) default '0',
  `netId` varchar(255) default NULL,
  `timeEntered` datetime default '0000-00-00 00:00:00',
  `updateUser` varchar(255) default NULL,
  `subjectId` int(11) default '0',
  `locationSubjectId` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=41103 DEFAULT CHARSET=utf8;



# Dump of table role
# ------------------------------------------------------------

CREATE TABLE `role` (
  `id` int(11) NOT NULL auto_increment,
  `groupTypeId` int(11) default NULL,
  `description` varchar(255) default NULL,
  `longDescription` text,
  `rank` tinyint(4) default NULL,
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('2','3','Coordinator','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('3','3','Assistant','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('4','3','Marketing','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('5','3','Table staffing','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('6','3','Exhibit curator','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('7','3','Representative','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('8','3','Sponsor','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('9','3','Ambassador','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('10','3','Envoy','','0',NULL,NULL);
INSERT INTO `role` (`id`,`groupTypeId`,`description`,`longDescription`,`rank`,`updateDate`,`updateUser`) VALUES ('11','3','Director','','0',NULL,NULL);


# Dump of table roomType
# ------------------------------------------------------------

CREATE TABLE `roomType` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default '''''',
  `longDescription` text,
  `groupTypeId` int(11) NOT NULL default '0',
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

INSERT INTO `roomType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`) VALUES ('1','Computer Lab',NULL,'1',NULL,NULL);
INSERT INTO `roomType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`) VALUES ('2','Classroom',NULL,'1',NULL,NULL);
INSERT INTO `roomType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`) VALUES ('3','Lecture Hall',NULL,'1',NULL,NULL);
INSERT INTO `roomType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`) VALUES ('4','Stacks',NULL,'1',NULL,NULL);
INSERT INTO `roomType` (`id`,`description`,`longDescription`,`groupTypeId`,`updateDate`,`updateUser`) VALUES ('5','Office','','1',NULL,NULL);


# Dump of table subject
# ------------------------------------------------------------

CREATE TABLE `subject` (
  `id` int(11) NOT NULL auto_increment,
  `groupTypeId` int(11) default NULL,
  `locationTypeId` int(11) default '0',
  `description` varchar(255) default NULL,
  `updateDate` datetime default NULL,
  `updateUser` varchar(255) default NULL,
  `rank` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=319 DEFAULT CHARSET=latin1;

INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('5','2','0','American Literature',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('6','2','0','American Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('7','2','0','Anthropology and Archaeology',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('8','2','0','Art Education',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('9','2','0','Chicano/a Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('10','2','0','Children\'s Literature',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('11','2','0','Classics',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('12','2','0','Communication Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('13','2','0','Criminal Justice',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('14','2','0','Dance Research',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('15','2','0','Education',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('16','2','0','English Literature',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('17','2','0','Family Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('18','2','0','Film',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('19','2','0','French',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('20','2','0','Geography',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('21','2','0','German',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('22','2','0','History',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('23','2','0','Journalism',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('24','2','0','Latin American & Iberian Res. (DILARES)',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('25','2','0','Linguistics',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('26','2','0','Native American Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('27','2','0','Nutrition',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('28','2','0','Philosophy',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('29','2','0','Physical Education',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('30','2','0','Political Science',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('31','2','0','Psychology',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('32','2','0','Public Administration',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('33','2','0','Religious Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('34','2','0','Russian Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('35','2','0','Social Welfare',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('36','2','0','Sociology',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('37','2','0','Spanish and Portuguese',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('38','2','0','Speech and Hearing Sciences',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('39','2','0','Sports',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('40','2','0','Theatre Research',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('41','2','0','Women\'s Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('42','2','0','Biology',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('43','2','0','Chemistry',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('44','2','0','Earth and Planetary Sciences',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('45','2','0','Environmental Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('46','2','0','Mathematics and Statistics',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('47','2','0','Water Resources',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('48','2','0','Chemical and Nuclear Engineering',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('49','2','0','Civil Engineering',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('50','2','0','Computer Science',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('51','2','0','Electrical and Computer Engineering',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('52','2','0','Mechanical Engineering',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('53','2','0','Business and Management',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('54','2','0','Accounting and Taxation',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('55','2','0','Career and Salary',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('56','2','0','Company & Industry Information',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('57','2','0','Consumer Center',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('58','2','0','E-Commerce',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('59','2','0','Economics and Statistics',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('60','2','0','Hospitality, Tourism and Gaming',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('61','2','0','Human Resources and Labor',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('62','2','0','International Organizations',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('63','2','0','International Trade and Management',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('64','2','0','Investment',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('65','2','0','Latin American Resources (Business)',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('66','2','0','Marketing and Advertising',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('67','2','0','Native American Resources (for Business)',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('68','2','0','New Mexico Business',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('69','2','0','Nonprofits, Grants and Fundraising',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('70','2','0','Digital Collections',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('71','2','0','Small Business and Entrepreneurship',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('72','2','0','Architecture, Landscape Arch., & Planning',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('73','2','0','Architecture:  New Mexico',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('74','2','0','Art and Art History',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('75','2','0','Chicano/Hispano SW History',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('76','2','0','Medieval Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('77','2','0','Music',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('78','2','0','Photography',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('79','2','0','Science',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('80','2','0','Biography',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('81','2','0','CSEL Quicklinks',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('82','2','0','Tests and Measurements',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('83','2','0','Nursing',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('84','2','0','Military Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('85','2','0','Latin American History',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('86','2','0','Latin American Women Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('87','2','0','Electronic Books',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('88','2','0','Counseling',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('89','2','0','Medicine',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('90','2','0','Law',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('91','2','0','Gender Studies',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('92','2','0','Library and Information Science',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('93','2','0','Genealogy',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('94','2','0','Physics',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('95','2','0','Astronomy',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('96','2','0','Book Reviews',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('97','2','0','Film Reviews and Criticism',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('98','2','0','Parish Quicklinks',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('99','2','0','Zimmerman Quicklinks',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('100','2','0','Special Education',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('101','2','0','New Databases',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('102','2','0','Government Information',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('103','2','0','Literature/Literary Criticism',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('104','2','0','Education Literature Reviews',NULL,NULL,'0');
INSERT INTO `subject` (`id`,`groupTypeId`,`locationTypeId`,`description`,`updateDate`,`updateUser`,`rank`) VALUES ('134','2','0','University Libraries',NULL,NULL,'20');


